# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/amlogic,axg-tdm-iface.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Amlogic Audio TDM Interfaces

maintainers:
  - Jerome Brunet <jbrunet@baylibre.com>

allOf:
  - $ref: dai-common.yaml#

properties:
  compatible:
    const: amlogic,axg-tdm-iface

  "#sound-dai-cells":
    const: 0

  clocks:
    minItems: 2
    items:
      - description: Bit clock
      - description: Sample clock
      - description: Master clock #optional

  clock-names:
    minItems: 2
    items:
      - const: sclk
      - const: lrclk
      - const: mclk

required:
  - compatible
  - "#sound-dai-cells"
  - clocks
  - clock-names

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/clock/axg-audio-clkc.h>

    audio-controller {
        compatible = "amlogic,axg-tdm-iface";
        #sound-dai-cells = <0>;
        clocks = <&clkc_audio AUD_CLKID_MST_A_SCLK>,
                 <&clkc_audio AUD_CLKID_MST_A_LRCLK>,
                 <&clkc_audio AUD_CLKID_MST_A_MCLK>;
        clock-names = "sclk", "lrclk", "mclk";
    };
